This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 362281 - Firefox often fails to start
Firefox often fails to start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 13:59 EDT by David Anderson
Modified: 2008-04-09 10:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Requested log (1.33 KB, text/plain)
2007-11-05 04:42 EST, David Anderson
no flags Details

  None (edit)
Description David Anderson 2007-11-01 13:59:38 EDT
Description of problem:

Running "firefox" from the command line often has no effect.

Version-Release number of selected component (if applicable): 2.0.0.8-1.fc7
I've had this problem since at least Fedora Core 5 - I just assume it'll get 
fixed in time, but I guess it won't!

How reproducible: About half of the time


Steps to Reproduce:
1. firefox
  
Actual results:

$ firefox &
[2] 27903
[2]+  Exit 1                  firefox

Sometimes it is "Exit 1", more often it is "Exit 2".

Expected results: Firefox runs!
Comment 1 Matěj Cepl 2007-11-01 19:12:05 EDT
Could you try to run couple of times (until you will be able to reproduce it)
firefox in this way:

sh -x $(which firefox) 2>&1 |tee /tmp/firefox-debug-log.txt

and attach to this bug as a separate uncompressed attachment
/tmp/firefox-debug-log.txt file.

THank you.
Comment 2 David Anderson 2007-11-05 04:42:33 EST
Created attachment 247851 [details]
Requested log

On this instance, "echo $?" yielded 1.

[david@shed ~]$ echo $?
1
Comment 3 Matěj Cepl 2008-02-21 17:34:42 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 Matěj Cepl 2008-02-21 17:35:57 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-04-09 10:05:10 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.